import _extends from "@babel/runtime/helpers/extends";
import React, { forwardRef } from 'react';
import { Blanket as CompiledBlanket, HeaderWrapper as CompiledHeaderWrapper, ListWrapper as CompiledListWrapper, ArrowsWrapper as CompiledArrowsWrapper, CloseButtonWrapper as CompiledCloseButtonWrapper, ContentWrapper as CompiledContentWrapper, ZoomWrapper as CompiledZoomWrapper, ZoomCenterControls as CompiledZoomCenterControls, ZoomRightControls as CompiledZoomRightControls, ZoomLevelIndicator as CompiledZoomLevelIndicator, HDIconGroupWrapper as CompiledHDIconGroupWrapper, ErrorMessageWrapper as CompiledErrorMessageWrapper, ErrorImage as CompiledErrorImage, Video as CompiledVideo, PDFWrapper as CompiledPDFWrapper, Arrow as CompiledArrow, LeftWrapper as CompiledLeftWrapper, RightWrapper as CompiledRightWrapper, Header as CompiledHeader, LeftHeader as CompiledLeftHeader, ImageWrapper as CompiledImageWrapper, BaselineExtend as CompiledBaselineExtend, Img as CompiledImg, MedatadataTextWrapper as CompiledMedatadataTextWrapper, MetadataWrapper as CompiledMetadataWrapper, MetadataFileName as CompiledMetadataFileName, MetadataSubText as CompiledMetadataSubText, MetadataIconWrapper as CompiledMetadataIconWrapper, RightHeader as CompiledRightHeader, CustomAudioPlayerWrapper as CompiledCustomAudioPlayerWrapper, AudioPlayer as CompiledAudioPlayer, Audio as CompiledAudio, AudioCover as CompiledAudioCover, DefaultCoverWrapper as CompiledDefaultCoverWrapper, DownloadButtonWrapper as CompiledDownloadButtonWrapper, CustomVideoPlayerWrapper as CompiledCustomVideoPlayerWrapper, SidebarWrapper as CompiledSidebarWrapper, SpinnerWrapper as CompiledSpinnerWrapper, FormattedMessageWrapper as CompiledFormattedMessageWrapper } from './styleWrappers-compiled';
// We are keeping this data-testid since JIRA is still using it in their codebase to perform checks. Before removing this, we need to ensure this 'media-viewer-popup' test id is not being used anywhere else in other codebases
export const Blanket = props => /*#__PURE__*/React.createElement(CompiledBlanket, props);
export const HeaderWrapper = props => /*#__PURE__*/React.createElement(CompiledHeaderWrapper, props);
HeaderWrapper.displayName = 'HeaderWrapper';
export const ListWrapper = props => /*#__PURE__*/React.createElement(CompiledListWrapper, props);
ListWrapper.displayName = 'ListWrapper';
export const ArrowsWrapper = props => /*#__PURE__*/React.createElement(CompiledArrowsWrapper, props);
export const CloseButtonWrapper = props => /*#__PURE__*/React.createElement(CompiledCloseButtonWrapper, props);
export const ContentWrapper = props => /*#__PURE__*/React.createElement(CompiledContentWrapper, props);
export const ZoomWrapper = props => /*#__PURE__*/React.createElement(CompiledZoomWrapper, props);
export const ZoomCenterControls = props => /*#__PURE__*/React.createElement(CompiledZoomCenterControls, props);
export const ZoomRightControls = props => /*#__PURE__*/React.createElement(CompiledZoomRightControls, props);
export const ZoomLevelIndicator = props => /*#__PURE__*/React.createElement(CompiledZoomLevelIndicator, _extends({}, props, {
  "data-testid": "zoom-level-indicator"
}));
export const HDIconGroupWrapper = props => /*#__PURE__*/React.createElement(CompiledHDIconGroupWrapper, props);
export const ErrorMessageWrapper = props => /*#__PURE__*/React.createElement(CompiledErrorMessageWrapper, props);
export const ErrorImage = props => /*#__PURE__*/React.createElement(CompiledErrorImage, props);
export const Video = props => /*#__PURE__*/React.createElement(CompiledVideo, props);
export const PDFWrapper = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/React.createElement(CompiledPDFWrapper, _extends({
  ref: ref
}, props)));
export const Arrow = props => /*#__PURE__*/React.createElement(CompiledArrow, props);
export const LeftWrapper = props => /*#__PURE__*/React.createElement(CompiledLeftWrapper, props);
export const RightWrapper = props => /*#__PURE__*/React.createElement(CompiledRightWrapper, props);

// header.tsx

export const Header = props => /*#__PURE__*/React.createElement(CompiledHeader, props);
export const LeftHeader = props => /*#__PURE__*/React.createElement(CompiledLeftHeader, props);
export const ImageWrapper = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/React.createElement(CompiledImageWrapper, _extends({
  ref: ref
}, props)));
export const BaselineExtend = () => /*#__PURE__*/React.createElement(CompiledBaselineExtend, null);
export const Img = props => /*#__PURE__*/React.createElement(CompiledImg, props);
export const MedatadataTextWrapper = props => /*#__PURE__*/React.createElement(CompiledMedatadataTextWrapper, props);
export const MetadataWrapper = props => /*#__PURE__*/React.createElement(CompiledMetadataWrapper, props);
export const MetadataFileName = props => /*#__PURE__*/React.createElement(CompiledMetadataFileName, props);
export const MetadataSubText = props => /*#__PURE__*/React.createElement(CompiledMetadataSubText, props);
export const MetadataIconWrapper = props => /*#__PURE__*/React.createElement(CompiledMetadataIconWrapper, props);
export const RightHeader = props => /*#__PURE__*/React.createElement(CompiledRightHeader, props);
export const CustomAudioPlayerWrapper = props => /*#__PURE__*/React.createElement(CompiledCustomAudioPlayerWrapper, props);
export const AudioPlayer = props => /*#__PURE__*/React.createElement(CompiledAudioPlayer, props);
AudioPlayer.displayName = 'AudioPlayer';
export const Audio = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/React.createElement(CompiledAudio, _extends({
  ref: ref
}, props)));
export const AudioCover = props => /*#__PURE__*/React.createElement(CompiledAudioCover, props);
export const DefaultCoverWrapper = props => /*#__PURE__*/React.createElement(CompiledDefaultCoverWrapper, props);
export const DownloadButtonWrapper = props => /*#__PURE__*/React.createElement(CompiledDownloadButtonWrapper, props);
export const CustomVideoPlayerWrapper = props => /*#__PURE__*/React.createElement(CompiledCustomVideoPlayerWrapper, props);
export const SidebarWrapper = props => /*#__PURE__*/React.createElement(CompiledSidebarWrapper, props);
export const SpinnerWrapper = props => /*#__PURE__*/React.createElement(CompiledSpinnerWrapper, props);
export const FormattedMessageWrapper = props => /*#__PURE__*/React.createElement(CompiledFormattedMessageWrapper, props);